/*
** Module   :IDCOLL.H
** Abstract :
**
** Copyright (C) Sergey I. Yevtushenko
**
** Log: Sun  15/06/2003 Created
**
*/

#include <collect.h>

#ifndef __KWDCOLL_H
#define __KWDCOLL_H

class Line;

//-----------------------------------------
// Id collection
//-----------------------------------------

class IDColl: public SortedCollection
{
        int LastPos;
        int WasMatch;
    public:

//        IDColl():SortedCollection(128, 128), LastPos(0), WasMatch(0)
//                { bDuplicates = 0;}
        IDColl();

        virtual int Compare(Ptr p1, Ptr p2);

//        char* NextID(char* start, int len);
        int NextID(Line* ln, int minlen);

        void AddID(char* start, int len);
};

#endif  /*__KWDCOLL_H*/

